Subject: bug#53203: Comment with lots of color codes crashes or hangs emacs in scss-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 14 May 2022 14:02:54 +0200

Simen Heggestøyl <[email-masked]> writes:

>> But I've repressed all I once knew about the scss language -- what is
>> it really trying to match here?  Anybody?
>
> It's supposed to match selectors like the one on line 39 in
> test/manual/indent/scss-mode.scss:
>
>   p.#{$name} var

Ah, I see -- it wants to match a selector followed by braces.  I.e.,
these things:

p.#{$name} var
{
}

p.#{$name}, f.#{$bar}:active, f.bar::after {
}

p.#{$name} f.#{$bar} k.var #{$bar}  #{$bar}
{
}

p.#{$name}
{
}

Hm...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no